<?php
include "../conexion.php";
	$sql_datosre=mysqli_query($conexion,"SELECT linea,idgrupo,idmarca,nombre,iva,precio,paquete,unidad,barra,idreg
							         from product_tmp order by idreg asc");
	$c=1; 
	while($datos= mysqli_fetch_row($sql_datosre))//01
		{  
		
		   $idlinea=$datos[0];
		   $idgrupo=$datos[1];
		   $idmarca=$datos[2];
		   $descripcion=$datos[3];
		   $iva=$datos[4];
		   $precio=$datos[5];
		   $paquete=$datos[6];
		   $unidad=$datos[7];
		   $barra=$datos[8];
		   $id=$datos[9];
		   
		   $mensaje="";
		   if($barra<>""){}
		   else {$barra=$id;}
		    $sql_insert=mysqli_query($conexion,"INSERT INTO producto (id,nombre,descripcion,preciounitario,precioventa,marca,estado,
																iva,codigobarra,ubicacion,preciopaquete,linea,grupo,unidad)
								VALUES ('".$id."','".$descripcion."','".$descripcion."','".$precio."','".$precio."','".$idmarca."','A',
										'0','".$barra."','1','".$paquete."','".$idlinea."',
										'".$idgrupo."','".$unidad."')");
							 if ($sql_insert) 
								{  $mensa="Registro guardado con exito $descripcion";
										
								}
							 else
								 { $mensa="Error al guardar el registro $descripcion"; }
		   
		      echo  "$c -  ".$mensa."<br>";
			
			
			
		/*	$rs_marca=mysqli_query($conexion,"SELECT id FROM marca 
											  where nombre like '%".$marca."%'");
			while($datosrs= mysqli_fetch_row($rs_marca)){ $idmarca=$datosrs[0];}
			
			$rs_marca=mysqli_query($conexion,"SELECT id FROM grupo 
											  where nombre like '%".$grupo."%'");
			while($datosrs= mysqli_fetch_row($rs_marca)){ $idgrupo=$datosrs[0];}
			
			echo $idreg."  --   ".$marca." /  ".$idmarca."<br>";
				 
		    $sql_inv=mysqli_query( $conexion,"update  product_tmp set 
								  idmarca='".$idmarca."',
								  idgrupo='".$idgrupo."'
								  where idreg='".$idreg."'");
								  */
								  
			/*$sql_inv=mysqli_query( $conexion,"update  producto_tmp set 
								  idlinea='".$linea."',
								  idgrupo='".$grupo."',
								  proceso='S'
								  where id='".$id."'");
			*/								  
			/*
			
			*/								  
								  
		  //if($c==5){ break;}
		  /* $rs_producto_familia=mysqli_query("SELECT id,nombre FROM Producto_familia where id='".$productofamilia."'",$conexion);
		   $nfamilia=mysqli_result($rs_producto_familia, 0, "nombre");		  
		   $rs_marca=mysqli_query("SELECT id,nombre FROM marca where id='".$marca."'",$conexion);
		   $nmarca=mysqli_result($rs_marca, 0, "nombre");
		   
		    $sql_inv=mysqli_query("SELECT sum(cantidad) as cantidad from inventario where producto='".$id."'", $conexion);
			 $cantidadinv=mysqli_result($sql_inv, 0, "cantidad");
			
			$sql_inv=mysqli_query("SELECT count(*) as contar from Producto_MinMax where producto='".$id."'", $conexion);
			 $contar=mysqli_result($sql_inv, 0, "contar");
			 if($contar>=1)
			 {
				 $sql_inv=mysqli_query("SELECT minimo,maximo from Producto_MinMax where producto='".$id."'", $conexion);
				 $minimo=mysqli_result($sql_inv, 0, "minimo");
				 $maximo=mysqli_result($sql_inv, 0, "maximo");
			 }
			 else {$minimo="";$maximo="";}
			 
			 $sql_datosventas=mysqli_query("SELECT sum(cantidad) as cantidad,sum(total) as total from venta
										   where producto='".$id."'", $conexion);
			 $cantidadv=mysqli_result($sql_datosventas, 0, "cantidad");
			 $total=mysqli_result($sql_datosventas, 0, "total");
			 $saldo=$cantidadinv-$cantidadv;
			 if($saldo>0){$colorinv="#009933";} else {$colorinv="";}
			 */
		   $c++;
		   
		 }
	echo "Termino";


?>